Servers - Check Name Availability
Controleer de beschikbaarheid van de naam op de doellocatie.
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.AnalysisServices/locations/{location}/checkNameAvailability?api-version=2017-08-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
De regionaam waarin de bewerking wordt gezocht. |
|
subscription
|
path | True |
string |
Een unieke id voor een Microsoft Azure-abonnement. De abonnements-id maakt deel uit van de URI voor elke serviceoproep. |
|
api-version
|
query | True |
string |
De client-API-versie. |
Aanvraagbody
| Name | Type | Description |
|---|---|---|
| name |
string minLength: 3maxLength: 63 pattern: ^[a-z][a-z0-9]*$ |
Naam voor het controleren van beschikbaarheid. |
| type |
string |
Het resourcetype van Azure Analysis Services. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. De aanvraag is voltooid. |
|
| Other Status Codes |
Foutreactie waarin wordt beschreven waarom de bewerking is mislukt. |
Beveiliging
azure_auth
Azure Active Directory OAuth2-stroom
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Get details of a server
Voorbeeldaanvraag
POST https://management.azure.com/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/providers/Microsoft.AnalysisServices/locations/West US/checkNameAvailability?api-version=2017-08-01
{
"name": "azsdktest",
"type": "Microsoft.AnalysisServices/servers"
}
Voorbeeldrespons
{
"nameAvailable": true
}
Definities
| Name | Description |
|---|---|
|
Check |
Details van de hoofdtekst van de servernaamaanvraag. |
|
Check |
Het controleresultaat van de beschikbaarheid van de servernaam. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Beschrijft de indeling van foutreactie. |
CheckServerNameAvailabilityParameters
Details van de hoofdtekst van de servernaamaanvraag.
| Name | Type | Default value | Description |
|---|---|---|---|
| name |
string minLength: 3maxLength: 63 pattern: ^[a-z][a-z0-9]*$ |
Naam voor het controleren van beschikbaarheid. |
|
| type |
string |
Microsoft.AnalysisServices/servers |
Het resourcetype van Azure Analysis Services. |
CheckServerNameAvailabilityResult
Het controleresultaat van de beschikbaarheid van de servernaam.
| Name | Type | Description |
|---|---|---|
| message |
string |
Het gedetailleerde bericht van de aanvraag is niet beschikbaar. |
| nameAvailable |
boolean |
Indicator van de beschikbare servernaam. |
| reason |
string |
De reden van onbeschikbaarheid. |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| httpStatusCode |
integer (int32) |
De HTTP-statuscode |
| message |
string |
Het foutbericht. |
| subCode |
integer (int32) |
De foutcode |
| target |
string |
Het foutdoel. |
| timeStamp |
string |
de tijdstempel voor de fout. |
ErrorResponse
Beschrijft de indeling van foutreactie.
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject |